---
type: api
title: Delete a Fleet Server host
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/operation/operation-delete-fleet-fleet-server-hosts-itemid
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/operation/operation-delete-fleet-fleet-server-hosts-itemid
products:
  - Kibana
---

# Delete a Fleet Server host

- Server: `https://{kibana_url}`

## Paths

- `DELETE` `/api/fleet/fleet_server_hosts/{itemId}`
- `DELETE` `/s/{space_id}/api/fleet/fleet_server_hosts/{itemId}`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/authentication#basicauth)

#### Path Parameters

- `itemId` (string)
  The ID of the Fleet Server host

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Delete a Fleet Server host by ID.<br/><br/>[Required authorization] Route required privileges: fleet-settings-all.

## Responses

#### `200`

Successful response

`application/json`

- `id` (string)
#### `400`

Bad Request

`application/json`

- `attributes` (object)
- `error` (string)
- `errorType` (string)
- `message` (string)
- `statusCode` (number)
#### `404`

Not Found

## Code Examples

#### Console

```console
DELETE /api/fleet/fleet_server_hosts/{itemId}
```

#### curl

```curl
curl -X DELETE "https://{kibana_url}/api/fleet/fleet_server_hosts/{itemId}" \
  -H "kbn-xsrf: true"
```

## Response Examples

#### Delete fleet server host

The Fleet Server host was successfully deleted

```json
{
  "id": "fleet-server-host-id-1"
}
```

#### Generic error response

Example of a generic error response

```json
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}
```

#### Not found

No Fleet Server host was found with the given ID

```json
{
  "error": "Not Found",
  "message": "Fleet server fleet-server-host-id-1 not found",
  "statusCode": 404
}
```

